.#include <iostream>
#include <math.h>
using namespace std;
int main()
{
    long long n,a,prvi,drugi,max1,imax;
    bool p;
    cin>>n;
    long long x[n];
    long long g=n-1,m;
    n--;
    long long h;
    while(n>=0)
    {
        cin>>x[n];
        n--;
    }
    n=g;
    while(n>=0)
    {
        m=n-1;
        while(m>=0)
        {
            if(x[n]<=x[m])
             {
                 p=true;
                 max1=x[m];
                 imax=m;
             }
                m--;
        }
        if(p)
        {
            m=imax;
            x[m]=max1;
            h=x[m];
            x[m]=x[n];
            x[n]=h;
            break;
        }
        n--;
    }
    if(!p)
    {
        h=x[0];
        x[0]=x[1];
        x[1]=h;
    }
    while(g>=0)
    {
        cout<<x[g]<<" ";
        g--;
    }
    return 0;
}